# Reset-RASMFAUsers.md

## NAME

Reset-RASMFAUsers

## SYNOPSIS

Reset MFA TOTP/EmailOTP authentication for all or specific users.

## SYNTAX

**Reset-RASMFAUsers** -[AllUsers](#allusers-string) *(SwitchParameter)* \[[MFAId](#mfaid-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[-[Type](#Type) {GAuthTOTP | TOTP | MicrosoftTOTP | EmailOTP}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Reset-RASMFAUsers** -[Users](#Users) *(string\[])* \[[MFAId](#mfaid-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[-[Type](#Type) {GAuthTOTP | TOTP | MicrosoftTOTP | EmailOTP}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Reset MFA TOTP/EmailOTP authentication for all or specific users.

## PARAMETERS

## Users (string\[])

List of users for which to reset Google Authentication.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID where the users need to be reset.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AllUsers (SwitchParameter)

When present, TOTP users will be reset.

```
        Required?                    true

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MFAId (uint)

The ID of the MFA Provider to be modified.

In case of TOTP Provider, the ID will always be 0. Default: 0.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Type ([MFAUsersType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfauserstype.md))

The MFA Provider Type to be modified.

If the parameter is omitted, the site ID of the Licensing Server will be used.

Possible values: GAuthTOTP, TOTP, MicrosoftTOTP, EmailOTP

```
        Required?                    false

        Position?                    named

        Default value                TOTP

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Reset-RASMFAUsers -Users "<user1@domain.com>", "<user2@domain.com>" -Type TOTP

Reset MFA TOTP authentication for user1 and user2 on current site.\
\*\*---------- EXAMPLE 2 ----------

Reset-RASMFAUsers -Users "<user1@domain.com>", "<user2@domain.com>" -Type EmailOTP -MFAId 1

Reset MFA EmailOTP authentication for user1 and user2 in MFA with Id 1.\
\*\*---------- EXAMPLE 3 ----------

Reset-RASMFAUsers -Users "<user1@domain.com>", "<user2@domain.com>" -SiteID 2 -Type TOTP

Reset MFA TOTP authentication for user1 and user2 on site '2'.\
\*\*---------- EXAMPLE 4 ----------

Reset-RASMFAUsers -AllUsers -Type TOTP

Reset MFA TOTP authentication for all users on current site\
\*\*---------- EXAMPLE 5 ----------

Reset-RASMFAUsers -AllUsers -Type EmailOTP -MFAId 1

Reset MFA EmailOTP authentication for all users in MFA with Id 1.\
\*\*---------- EXAMPLE 6 ----------

Reset-RASMFAUsers -AllUsers -SiteID 2 -Type TOTP

Reset MFA TOTP authentication for all users on site '2'.

## RELATED LINKS

* [Add-RASMFAUsers](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasmfausers.md)
* [Find-RASMFAUsers](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/find-rasmfausers.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/reset-rasmfausers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
